Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.datasource
Interface IEssCube.IEssCubeLock

All Superinterfaces:
  IEssBaseObject

Enclosing interface:
  IEssCube

public static interface IEssCube.IEssCubeLock
extends IEssBaseObject

The IEssCubeLock interface provides information about the data blocks exclusively locked.

Method Summary
`int` | `getCountLockedBlocks()` Gets the number of blocks exclusively locked by this user.
`java.lang.String` | `getLockedUserName()` Gets the name of the user who has locked blocks.
`int` | `getMaximumLockedTime()` Gets the maximum time (in seconds) that blocks have been exclusively locked.
`void` | `removeLocks()` Removes all the data block locks held by a user on this cube.

Method Detail

### getLockedUserName

    public java.lang.String getLockedUserName()
                                       throws EssException

  Gets the name of the user who has locked blocks.

  Returns:
    The user name.
  Throws:
    `EssException` - if an error occur.

### getCountLockedBlocks

    public int getCountLockedBlocks()
                             throws EssException

  Gets the number of blocks exclusively locked by this user.

  Returns:
    The number of blocks locked.
  Throws:
    `EssException` - if an error occur.

### getMaximumLockedTime

    public int getMaximumLockedTime()
                             throws EssException

  Gets the maximum time (in seconds) that blocks have been exclusively locked.

  Returns:
    The maximum locked time (in seconds).
  Throws:
    `EssException` - if an error occur.

### removeLocks

    public void removeLocks()
                     throws EssException

  Removes all the data block locks held by a user on this cube.

  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD